> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soharhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Patient

> This API is still available but no longer supported and is planned for deprecation in a future release.



## OpenAPI

````yaml get /v1/patients/{patientId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sohar API
  license:
    name: MIT
servers:
  - url: https://api.soharhealth.com
security: []
paths:
  /v1/patients/{patientId}:
    get:
      tags:
        - Legacy-Patients
      summary: Get Patient
      description: >-
        This API is still available but no longer supported and is planned for
        deprecation in a future release.
      operationId: getPatient
      responses:
        '200':
          description: A patient
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FullPatientResponse'
        '403':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '500':
          description: Internal error
      security:
        - BasicAuth: []
components:
  schemas:
    FullPatientResponse:
      type: object
      properties:
        patientId:
          type: string
          description: The Sohar ID for the patient
          format: uuid
          example: f47ac10b-58cc-4372-a567-0e02b2c3d479
        firstName:
          type: string
          description: The patient's first name
          example: John
        lastName:
          type: string
          description: The patient's last name
          example: Doe
        dateOfBirth:
          type: string
          description: The patient's birth date in MM/DD/YYYY format
          pattern: ^(0[1-9]|1[0-2])\/(0[1-9]|[12][0-9]|3[01])\/(19|20)\d\d$
          example: 09/20/2023
        state:
          type: string
          description: Two-letter US state code
          enum:
            - AK
            - AL
            - AR
            - AZ
            - CA
            - CO
            - CT
            - DC
            - DE
            - FL
            - GA
            - HI
            - IA
            - ID
            - IL
            - IN
            - KS
            - KY
            - LA
            - MA
            - MD
            - ME
            - MI
            - MN
            - MO
            - MS
            - MT
            - NC
            - ND
            - NE
            - NH
            - NJ
            - NM
            - NV
            - NY
            - OH
            - OK
            - OR
            - PA
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VA
            - VT
            - WA
            - WI
            - WV
            - WY
          example: CA
        address:
          type: string
          nullable: true
          description: The patient's address
          example: 1 BROADWAY, LOS ANGELES, CA 90210
        created:
          type: string
          format: date-time
          description: >-
            An ISO 8601 date and time string describing when the patient was
            created
          example: '2024-01-01T12:00:00.000Z'
        updated:
          type: string
          format: date-time
          description: >-
            An ISO 8601 date and time string describing when the patient was
            last updated
          example: '2024-01-01T12:00:00.000Z'
  securitySchemes:
    BasicAuth:
      type: http
      scheme: bearer

````